##
This file is part of exc.
Copyright (C) 2012  Guillaume Quintin.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
##

==NAME==

exc - extract text from C source code

==SYNOPSIS==

`exc` [`FILE`] ...

==DESCRIPTION==

Extract text from C source code. `exc` reads `FILE`
and writes the extracted text on standard output.
Several files can be specified. They are read in the order they
are given in the command line. If no file is given `exc` will read
from the standard input.

==FORMAT OF THE INPUT==

The input given to `exc` must be correct C source code.
If there is any error in the input, the output of `exc` is
undefined.

If the input is correct C source code, then `exc` will extract
and print on standard output the text between `/**` and `*/`. The
extracted text can be whatever you want it to be. `exc` does
not care what the text is, it just extracts and write it on standard
output.

==AUTHOR==

Written by Guillaume Quintin (coincoin169@gmail.com).

